# EllipsoidTerrainProvider

#### new Cesium.EllipsoidTerrainProvider(options)
Core/EllipsoidTerrainProvider.js 41

  A very simple `TerrainProvider` that produces geometry by tessellating an ellipsoidal surface.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Description
  --- | --- | ---
  `tilingScheme` | TilingScheme | optional The tiling scheme specifying how the ellipsoidal surface is broken into tiles. If this parameter is not provided, a `GeographicTilingScheme` is used.
  `ellipsoid` | Ellipsoid | optional The ellipsoid. If the tilingScheme is specified, this parameter is ignored and the tiling scheme's ellipsoid is used instead. If neither parameter is specified, the WGS84 ellipsoid is used.

  ##### See:

  - TerrainProvider

### Members

#### credit : Credit
Core/EllipsoidTerrainProvider.js 79

  Gets the credit to display when this terrain provider is active. Typically this is used to credit the source of the terrain. This function should not be called before `EllipsoidTerrainProvider#ready` returns true.

#### errorEvent : Event
Core/EllipsoidTerrainProvider.js 67

  Gets an event that is raised when the terrain provider encounters an asynchronous error. By subscribing to the event, you will be notified of the error and can potentially recover from it. Event listeners are passed an instance of `TileProviderError`.

#### hasVertexNormals : Boolean
Core/EllipsoidTerrainProvider.js 140

  Gets a value indicating whether or not the requested tiles include vertex normals. This function should not be called before `EllipsoidTerrainProvider#ready` returns true.

#### hasWaterMask : Boolean
Core/EllipsoidTerrainProvider.js 128

  Gets a value indicating whether or not the provider includes a water mask. The water mask indicates which areas of the globe are water rather than land, so they can be rendered as a reflective surface with animated waves. This function should not be called before `EllipsoidTerrainProvider#ready` returns true.

#### ready : Boolean
Core/EllipsoidTerrainProvider.js 102

  Gets a value indicating whether or not the provider is ready for use.

#### readonlyreadyPromise : Promise.<Boolean>
Core/EllipsoidTerrainProvider.js 114

  Gets a promise that resolves to true when the provider is ready for use.

#### tilingScheme : GeographicTilingScheme
Core/EllipsoidTerrainProvider.js 91

  Gets the tiling scheme used by this provider. This function should not be called before `EllipsoidTerrainProvider#ready` returns true.

### Methods

#### getLevelMaximumGeometricError(level) → Number
Core/EllipsoidTerrainProvider.js 178

  Gets the maximum geometric error allowed in a tile at a given level.

  Name | Type | Description
  --- | --- | ---
  `level` | Number | The tile level for which to get the maximum geometric error.

  ##### Returns:

  The maximum geometric error.

#### getTileDataAvailable(x, y, level) → Boolean
Core/EllipsoidTerrainProvider.js 190

  Determines whether data for a tile is available to be loaded.

  Name | Type | Description
  --- | --- | ---
  `x` | Number | The X coordinate of the tile for which to request geometry.
  `y` | Number | The Y coordinate of the tile for which to request geometry.
  `level` | Number | The level of the tile for which to request geometry.

  ##### Returns:

  Undefined if not supported, otherwise true or false.

#### requestTileGeometry(x, y, level, throttleRequests) → Promise.<TerrainData>|undefined
Core/EllipsoidTerrainProvider.js 162

  Requests the geometry for a given tile. This function should not be called before `TerrainProvider#ready` returns true. The result includes terrain data and indicates that all child tiles are available.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `x` | Number |  | The X coordinate of the tile for which to request geometry.
  `y` | Number |  | The Y coordinate of the tile for which to request geometry.
  `level` | Number |  | The level of the tile for which to request geometry.
  `throttleRequests` | Boolean | `true` | optional True if the number of simultaneous requests should be limited, or false if the request should be initiated regardless of the number of requests already in progress.

  ##### Returns:

  A promise for the requested geometry. If this method returns undefined instead of a promise, it is an indication that too many requests are already pending and the request will be retried later.